# Get markup


# Check that a number is more than 0
def num_check(num_to_check):
    valid = False
    while not valid:

        try:
            num_to_check = num_to_check.strip()
            num_to_check = float(num_to_check)

            if num_to_check > 0:
                return num_to_check
            else:
                return "too low"

        except ValueError:
            return "not a number"


# check that the mark up is given as a percentage / dollar amount and is valid
# returns a list which has the type of markup and the amount
def markup():

    markup_list = []
    error = "Please enter a % or $ amount that is more than 0"
    increase_type = ""
    price_increase = ""

    print("Please enter either either ...\na dollar amount (including the $ symbol) \na percentage"
                         "markup (including the % symbols), eg: $150 or 75% \n")

    valid = False
    while not valid:

        response = input()

        # check if response starts with $ and remove it.
        if response[0] == "$":
            increase_type = "dollar"
            response = response[1:]

        # check if response ends with % and remove it.
        elif response[-1] == "%":
            increase_type = "percent"
            response = response[:-1]

        # check that response is now a number more than 0
        response = num_check(response)
        if response == "not a number" or response == "too low":
            print(error)
            continue

        # if response has neither $ nor %, ask question again
        if increase_type == "":
            increase_type = input("What type of markup is this?  Choose $ or %").lower()

            if increase_type == "$" or increase_type == "dollar":
                increase_type = "dollar"
            elif increase_type == "%" or increase_type == "percent" or increase_type == "percentage":
                increase_type = "percent"

        markup_list.append(response)
        markup_list.append(increase_type)
        return markup_list

# Main Routine
keep_going = ""
while keep_going == "":
    profit_goal = markup()
    profit_amount = profit_goal[0]
    profit_type = profit_goal[1]

    if profit_type == "percent":
        print("your markup has been set to {:.0f} %".format(profit_amount))
    else:
        print("your markup has been set to ${:.2f}".format(profit_amount))
    print()
