def instructions():
    print()
    print("******** Instructions ********")
    print()
    print("This program has been designed to help you quickly generate a list of the costs"
          "associated with creating a product.  It also suggests a selling price based "
          "on the required markup")

    print()
    print("When you enter the markup, you can either enter a dollar amount, WITH they $"
          "symbol in front of the number (eg: $200), or you can enter a percentage "
          "markup with the % symbol AFTER the number.  The program will round the "
          "recommended selling price to the nearest dollar amount (you can specify if you "
          "want to round to the nearest dollar, $5 etc.")

    print()
    print("When you are finished, you can copy your the expense list / recommended price "
          "into a report / word processed document by right clicking and choosing 'copy'.")
    print()
    print("**********")
    print()


# checks yes / no responses
def yesno(question):
    valid = False
    while not valid:
        response = input(question).lower()

        if response == "yes" or response == "y":
            response = "yes"
            return response
        elif response == "no" or response == "n":
            response = "no"
            return response
        else:
            make_statement("Error: Please enter 'yes' or 'no'.", "!")


# Surrounds important messages with special character so they stand out.
def make_statement(message, char):
    print()
    print(char * len(message))
    print(message)
    print(char * len(message))
    print()


# Main routine starts here

# ******    Offer instructions to first time users *******
print("******** Welcome to the Great Fundraising Calculator ********")
print()

get_instructions = yesno("Welcome.  Is it your first time using this program? ")

if get_instructions.lower() == "yes":
    instructions()
else:
    print()


print("Program continues ...")
