# sub totals to be calculated based on user input (see component 4)
import math


# rounding function
def round_up(amount, round_to):
    # rounds amount UP to the specified amount (round_to)
    return int(round_to * round(math.ceil(amount) / round_to))


# Main Routine
num_items = int(input("Number of Items: "))
fixed_costs = float(input("Fixed Costs: "))
variable_costs = float(input("Variable Costs: "))

total_costs = fixed_costs + variable_costs

try:
    percent_markup = float(input("Percent Markup: "))

except ValueError:
    percent_markup = ""

if percent_markup == "":
    dollar_markup = float(input("Dollar Markup: "))

else:
    dollar_markup = total_costs * (percent_markup / 100)

selling_price_all = dollar_markup + total_costs
selling_price = selling_price_all / num_items

rounding = int(input("Round to the nearest.... "))


recommended_price = round_up(selling_price, rounding)

print()
print("Selling Price: ${:.2f}".format(selling_price))
print("Recommended Price: ${:.2f}".format(recommended_price))

